POST
/api/v1/workflow
curl \
--request POST 'https://api.plannrcrm.com/api/v1/workflow' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Pension Review"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Pension Review"
}
Response examples (200)
{
"uuid": "d5206cde-25ea-4fdf-864f-3893ddcb68cf",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"name": "Pension Transfer",
"type": "simple",
"tasks_count": 5,
"network_locked": false
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}